de.esprit.appsuite.launch

## Interface Initializable

- All Known Subinterfaces:
    AsyncInitializable
  All Known Implementing Classes:
    AbstractGroupManager, AbstractInitializableObject, AbstractInitializableServerObject, AbstractServerModel, AbstractSessionServerModel, AbstractUserManager, AppCacheManager, ApplicationContext, AppStarterContext, AsyncInitializableObject, BatchTaskManager, ClientContext, ClientTaskManager, CoClientContext, CoServerManager, DatabaseManager, DBGroupManager, DBUserManager, DefaultGroupManager, DefaultGroupMembershipManager, DefaultPermissionManager, DefaultUserManager, EspritClientConnector, GuiClientContext, JavaVersionManager, LogChannelManager, RawClientContext, ServerContext, ServerStatisticManager, TableEditContext

      public interface Initializable

  This interface may be implemented by classes that need initialization.
  Author:
    Rainer Buesch

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `checkInitialized()` Checks whether initialization has yet been done and throws an `NotInitializedException` if not.
    `void` | `init()` Performs the initialization of this class.
    `boolean` | `isInitialized()` Tells whether initialization has yet been done.

- - ### Method Detail

    - #### init

          void init()
                    throws java.lang.Exception

      Performs the initialization of this class. Note that the implementation should maintain an isInitialized flag which must be set when initialization has completed.
      Throws:
        `java.lang.Exception`

    - #### isInitialized

          boolean isInitialized()

      Tells whether initialization has yet been done.

    - #### checkInitialized

          void checkInitialized()
                                throws NotInitializedException

      Checks whether initialization has yet been done and throws an `NotInitializedException` if not.
      Throws:
        `NotInitializedException`

Copyright © 2014 EsprIT-Systems. All Rights Reserved.